//
//  MyFormatter.m
//  FormatterTest
//
//  Created by Holger Hinzberg on 09.11.09.
//  Copyright 2009 Cocoa Coding. All rights reserved.
//

#import "MyFormatter.h"

@implementation MyFormatter

- (NSString*)stringForObjectValue:(id)obj
{
    return [obj description];
}

- (BOOL)getObjectValue:(id*)obj forString:(NSString*)string
	  errorDescription:(NSString**)error
{
    *obj = [[string copy] autorelease];
    return YES;
}

-(bool)isPartialStringValid:(NSString*)partialString
		   newEditingString:(NSString**) newString
		   errorDescription:(NSString**)error
{
	NSCharacterSet *nonNumbers;
	nonNumbers = [[NSCharacterSet decimalDigitCharacterSet] invertedSet];
	
	if  ([partialString  rangeOfCharacterFromSet: nonNumbers  options:
          NSLiteralSearch].location != NSNotFound)
	{
		return NO;
	}
    else
	{
		return YES;
	} 
} 

/*
- (BOOL) isPartialStringValid: (NSString   **) partialStringPtr
		proposedSelectedRange: (NSRangePointer) proposedSelRangePtr
			   originalString: (NSString *) origString
		originalSelectedRange: (NSRange) origSelRange
			 errorDescription: (NSString **) error
{
    NSRange aRange;
    NSString *newText;
	
    aRange =
	NSMakeRange(origSelRange.location,proposedSelRangePtr->location
				- origSelRange.location);
    newText = [*partialStringPtr substringWithRange: aRange];
	
    NSLog(@"%@",newText);
	
    return YES;
}
 */



@end
